Loading ...
Sorry, an error occurred while loading the content.

Trouble installing Apache::DBI

Expand Messages
  • George Clark
    Hi, I m trying to re-install Apache::DBI on Debian. (Perl 5.8.0). I m upgrading from mysql 3.23.52 to 4.0.13, and it was suggested that I re-install all of
    Message 1 of 1 , Sep 30, 2003
    • 0 Attachment
      Hi,

      I'm trying to re-install Apache::DBI on Debian. (Perl 5.8.0). I'm
      upgrading from mysql 3.23.52 to 4.0.13, and it was suggested that I
      re-install all of the DBI related Perl modules.

      Apache::DBI Test 5 is failing. I found a prior post (from Ask Bjoern
      Hansen) on this list back in April saying that this test 5 failure would
      be resolved in a subsequent release of DBI. It was because DBI v1.33 or
      later was in use.

      I'm re-installing Apache-DBI-0.92/ and DBI-1.38/ using a "force install"
      command on CPAN.

      The failing install is:

      Running make test
      PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e"
      "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
      t/10mysql....NOK 5# Failed test (t/10mysql.t at line 35)
      # got: '3'
      # expected: '4'
      t/10mysql....ok 7/7# Looks like you failed 1 tests of 7.
      t/10mysql....dubious
      Test returned status 1 (wstat 256, 0x100)

      The DBI interface appears to be working, but considering the previous
      post said that this should have been fixed, I don't want to repeat the
      install on my production system without knowing for sure.

      Can I ignore this failing test?

      Thanks,
      George
    Your message has been successfully submitted and would be delivered to recipients shortly.